# BEGIN SourceDeps(oneline):
BuildRequires: perl(AI/NeuralNet/Kohonen.pm) perl(ExtUtils/MakeMaker.pm) perl(Test/More.pm) perl(Tk.pm) perl(Tk/Canvas.pm) perl(Tk/Label.pm) perl(base.pm) xvfb-run
# END SourceDeps(oneline)
%ifndef _build_display
%def_without test
%endif
%define module_version 0.3
%define module_name AI-NeuralNet-Kohonen-Visual
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.3
Release: alt1
Summary: Tk-based Visualisation
Group: Development/Perl
License: perl
Url: %CPAN %module_name

Source0: http://cpan.org.ua/authors/id/L/LG/LGODDARD/%module_name-%module_version.tar.gz
BuildArch: noarch

%description
Provides TK-based visualisation routines for `AI::NueralNet::Kohonen'.
Replaces the earlier `AI::NeuralNet::Kohonen::Demo::RGB'.

This is a sub-class of `AI::NeuralNet::Kohonen'
that impliments extra methods to make use of TK.

This moudle is itself intended to be sub-classed by you,
where you provide a version of the method `get_colour_for':
see the METHOD get_colour_for entry elsewhere in this document and the SYNOPSIS manpage for details.



%prep
%setup -n %module_name-%module_version

%build
%perl_vendor_build
xvfb-run -a make test

%install
%perl_vendor_install

%files
%doc README Changes
%perl_vendor_privlib/A*

%changelog
* Tue Oct 15 2013 Igor Vlasenko <viy@altlinux.ru> 0.3-alt1
- initial import by package builder

